JaxbOneToMany (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbOneToMany

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbOneToMany

    public class JaxbOneToMany

extends Object

Field Summary
`protected JaxbAccessType` | `access`
`protected JaxbCascadeType` | `cascade`
`protected JaxbFetchType` | `fetch`
`protected List<JaxbJoinColumn>` | `joinColumn`
`protected JaxbJoinTable` | `joinTable`
`protected JaxbMapKey` | `mapKey`
`protected List<JaxbAttributeOverride>` | `mapKeyAttributeOverride`
`protected JaxbMapKeyClass` | `mapKeyClass`
`protected JaxbMapKeyColumn` | `mapKeyColumn`
`protected JaxbEnumType` | `mapKeyEnumerated`
`protected List<JaxbMapKeyJoinColumn>` | `mapKeyJoinColumn`
`protected JaxbTemporalType` | `mapKeyTemporal`
`protected String` | `mappedBy`
`protected String` | `name`
`protected String` | `orderBy`
`protected JaxbOrderColumn` | `orderColumn`
`protected Boolean` | `orphanRemoval`
`protected String` | `targetEntity`

Constructor Summary
`JaxbOneToMany()`

Method Summary
`JaxbAccessType` | `getAccess()` Gets the value of the access property.
`JaxbCascadeType` | `getCascade()` Gets the value of the cascade property.
`JaxbFetchType` | `getFetch()` Gets the value of the fetch property.
`List<JaxbJoinColumn>` | `getJoinColumn()` Gets the value of the joinColumn property.
`JaxbJoinTable` | `getJoinTable()` Gets the value of the joinTable property.
`JaxbMapKey` | `getMapKey()` Gets the value of the mapKey property.
`List<JaxbAttributeOverride>` | `getMapKeyAttributeOverride()` Gets the value of the mapKeyAttributeOverride property.
`JaxbMapKeyClass` | `getMapKeyClass()` Gets the value of the mapKeyClass property.
`JaxbMapKeyColumn` | `getMapKeyColumn()` Gets the value of the mapKeyColumn property.
`JaxbEnumType` | `getMapKeyEnumerated()` Gets the value of the mapKeyEnumerated property.
`List<JaxbMapKeyJoinColumn>` | `getMapKeyJoinColumn()` Gets the value of the mapKeyJoinColumn property.
`JaxbTemporalType` | `getMapKeyTemporal()` Gets the value of the mapKeyTemporal property.
`String` | `getMappedBy()` Gets the value of the mappedBy property.
`String` | `getName()` Gets the value of the name property.
`String` | `getOrderBy()` Gets the value of the orderBy property.
`JaxbOrderColumn` | `getOrderColumn()` Gets the value of the orderColumn property.
`String` | `getTargetEntity()` Gets the value of the targetEntity property.
`Boolean` | `isOrphanRemoval()` Gets the value of the orphanRemoval property.
`void` | `setAccess(JaxbAccessType value)` Sets the value of the access property.
`void` | `setCascade(JaxbCascadeType value)` Sets the value of the cascade property.
`void` | `setFetch(JaxbFetchType value)` Sets the value of the fetch property.
`void` | `setJoinTable(JaxbJoinTable value)` Sets the value of the joinTable property.
`void` | `setMapKey(JaxbMapKey value)` Sets the value of the mapKey property.
`void` | `setMapKeyClass(JaxbMapKeyClass value)` Sets the value of the mapKeyClass property.
`void` | `setMapKeyColumn(JaxbMapKeyColumn value)` Sets the value of the mapKeyColumn property.
`void` | `setMapKeyEnumerated(JaxbEnumType value)` Sets the value of the mapKeyEnumerated property.
`void` | `setMapKeyTemporal(JaxbTemporalType value)` Sets the value of the mapKeyTemporal property.
`void` | `setMappedBy(String value)` Sets the value of the mappedBy property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setOrderBy(String value)` Sets the value of the orderBy property.
`void` | `setOrderColumn(JaxbOrderColumn value)` Sets the value of the orderColumn property.
`void` | `setOrphanRemoval(Boolean value)` Sets the value of the orphanRemoval property.
`void` | `setTargetEntity(String value)` Sets the value of the targetEntity property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orderBy

    protected String orderBy

### orderColumn

    protected JaxbOrderColumn orderColumn

### mapKey

    protected JaxbMapKey mapKey

### mapKeyClass

    protected JaxbMapKeyClass mapKeyClass

### mapKeyTemporal

    protected JaxbTemporalType mapKeyTemporal

### mapKeyEnumerated

    protected JaxbEnumType mapKeyEnumerated

### mapKeyAttributeOverride

    protected List<JaxbAttributeOverride> mapKeyAttributeOverride

### mapKeyColumn

    protected JaxbMapKeyColumn mapKeyColumn

### mapKeyJoinColumn

    protected List<JaxbMapKeyJoinColumn> mapKeyJoinColumn

### joinTable

    protected JaxbJoinTable joinTable

### joinColumn

    protected List<JaxbJoinColumn> joinColumn

### cascade

    protected JaxbCascadeType cascade

### name

    protected String name

### targetEntity

    protected String targetEntity

### fetch

    protected JaxbFetchType fetch

### access

    protected JaxbAccessType access

### mappedBy

    protected String mappedBy

### orphanRemoval

    protected Boolean orphanRemoval

Constructor Detail

### JaxbOneToMany

    public JaxbOneToMany()

Method Detail

### getOrderBy

    public String getOrderBy()

  Gets the value of the orderBy property.

  Returns:
    possible object is `String`

### setOrderBy

    public void setOrderBy(String value)

  Sets the value of the orderBy property.

  Parameters:
    `value` - allowed object is `String`

### getOrderColumn

    public JaxbOrderColumn getOrderColumn()

  Gets the value of the orderColumn property.

  Returns:
    possible object is `JaxbOrderColumn`

### setOrderColumn

    public void setOrderColumn(JaxbOrderColumn value)

  Sets the value of the orderColumn property.

  Parameters:
    `value` - allowed object is `JaxbOrderColumn`

### getMapKey

    public JaxbMapKey getMapKey()

  Gets the value of the mapKey property.

  Returns:
    possible object is `JaxbMapKey`

### setMapKey

    public void setMapKey(JaxbMapKey value)

  Sets the value of the mapKey property.

  Parameters:
    `value` - allowed object is `JaxbMapKey`

### getMapKeyClass

    public JaxbMapKeyClass getMapKeyClass()

  Gets the value of the mapKeyClass property.

  Returns:
    possible object is `JaxbMapKeyClass`

### setMapKeyClass

    public void setMapKeyClass(JaxbMapKeyClass value)

  Sets the value of the mapKeyClass property.

  Parameters:
    `value` - allowed object is `JaxbMapKeyClass`

### getMapKeyTemporal

    public JaxbTemporalType getMapKeyTemporal()

  Gets the value of the mapKeyTemporal property.

  Returns:
    possible object is `JaxbTemporalType`

### setMapKeyTemporal

    public void setMapKeyTemporal(JaxbTemporalType value)

  Sets the value of the mapKeyTemporal property.

  Parameters:
    `value` - allowed object is `JaxbTemporalType`

### getMapKeyEnumerated

    public JaxbEnumType getMapKeyEnumerated()

  Gets the value of the mapKeyEnumerated property.

  Returns:
    possible object is `JaxbEnumType`

### setMapKeyEnumerated

    public void setMapKeyEnumerated(JaxbEnumType value)

  Sets the value of the mapKeyEnumerated property.

  Parameters:
    `value` - allowed object is `JaxbEnumType`

### getMapKeyAttributeOverride

    public List<JaxbAttributeOverride> getMapKeyAttributeOverride()

  Gets the value of the mapKeyAttributeOverride property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the mapKeyAttributeOverride property.

  For example, to add a new item, do as follows:

          getMapKeyAttributeOverride().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbAttributeOverride`

### getMapKeyColumn

    public JaxbMapKeyColumn getMapKeyColumn()

  Gets the value of the mapKeyColumn property.

  Returns:
    possible object is `JaxbMapKeyColumn`

### setMapKeyColumn

    public void setMapKeyColumn(JaxbMapKeyColumn value)

  Sets the value of the mapKeyColumn property.

  Parameters:
    `value` - allowed object is `JaxbMapKeyColumn`

### getMapKeyJoinColumn

    public List<JaxbMapKeyJoinColumn> getMapKeyJoinColumn()

  Gets the value of the mapKeyJoinColumn property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the mapKeyJoinColumn property.

  For example, to add a new item, do as follows:

          getMapKeyJoinColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMapKeyJoinColumn`

### getJoinTable

    public JaxbJoinTable getJoinTable()

  Gets the value of the joinTable property.

  Returns:
    possible object is `JaxbJoinTable`

### setJoinTable

    public void setJoinTable(JaxbJoinTable value)

  Sets the value of the joinTable property.

  Parameters:
    `value` - allowed object is `JaxbJoinTable`

### getJoinColumn

    public List<JaxbJoinColumn> getJoinColumn()

  Gets the value of the joinColumn property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the joinColumn property.

  For example, to add a new item, do as follows:

          getJoinColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbJoinColumn`

### getCascade

    public JaxbCascadeType getCascade()

  Gets the value of the cascade property.

  Returns:
    possible object is `JaxbCascadeType`

### setCascade

    public void setCascade(JaxbCascadeType value)

  Sets the value of the cascade property.

  Parameters:
    `value` - allowed object is `JaxbCascadeType`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getTargetEntity

    public String getTargetEntity()

  Gets the value of the targetEntity property.

  Returns:
    possible object is `String`

### setTargetEntity

    public void setTargetEntity(String value)

  Sets the value of the targetEntity property.

  Parameters:
    `value` - allowed object is `String`

### getFetch

    public JaxbFetchType getFetch()

  Gets the value of the fetch property.

  Returns:
    possible object is `JaxbFetchType`

### setFetch

    public void setFetch(JaxbFetchType value)

  Sets the value of the fetch property.

  Parameters:
    `value` - allowed object is `JaxbFetchType`

### getAccess

    public JaxbAccessType getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `JaxbAccessType`

### setAccess

    public void setAccess(JaxbAccessType value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `JaxbAccessType`

### getMappedBy

    public String getMappedBy()

  Gets the value of the mappedBy property.

  Returns:
    possible object is `String`

### setMappedBy

    public void setMappedBy(String value)

  Sets the value of the mappedBy property.

  Parameters:
    `value` - allowed object is `String`

### isOrphanRemoval

    public Boolean isOrphanRemoval()

  Gets the value of the orphanRemoval property.

  Returns:
    possible object is `Boolean`

### setOrphanRemoval

    public void setOrphanRemoval(Boolean value)

  Sets the value of the orphanRemoval property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.